There is always a great deal of Joomla! development activity underway and communicating with other developers in the community is essential. This site is a resource for anyone looking to build or maintain software based on the Joomla platform

  • Project: Joomla!
  • SubProject: All
  • Severity: High
  • Versions: 1.5.25 and all earlier 1.5.x versions
  • Exploit type: Password Change
  • Reported Date: 2012-March-8
  • Fixed Date: 2012-March-27

Description

Insufficient randomness leads to password reset vulnerability.

Affected Installs

Joomla! versions 1.5.25 and all earlier 1.5.x versions

Solution

Upgrade to version 1.5.26

Contact

The JSST at the Joomla! Security Centre.

Reported By: George Argyros and Aggelos Kiayias

As news came out today that there’s a vulnerability on HTTP_PROXY infecting CGI application on PHP, Python, Go and others known as httpoxy. The Production Leadership Team and the Joomla! Project wants to raise awareness of this to it’s users.

The Joomla! core itself is not affected in any way by this vulnerability, but third party extensions using specific PHP libraries might be. As of now we have no further information on which third parties extensions may use any affected libraries, so we ask all of our users to check with their extension providers to see if their extension might be affected. The HTTP protocol is used to make requests for information on the Internet, such as to load a web page, image file, or data from a RESTful API.

More information on the vulnerability can be found at : https://httpoxy.org/

For example we know the Guzzle library (a very popular one) is affected, therefore it’s recommended to update the library as soon as possible. For this specific library you can find a fix on github at the following link : https://github.com/guzzle/guzzle/commit/9d521b23146cb6cedd772770a2617fd6cbdb1596 or via Composer.

If you are not sure what libraries are used by your Third Party extension providers, please contact them. If you see updates in the next few days from these developers, please apply them.


Joomla! raises awareness on the HTTP_PROXY vulnerability

The Joomla UX team is conducting research to improve future versions of Joomla and we want your feedback! The goal of this survey is to gather user feedback regarding the recent Joomla 3.5 release. The feedback we receive will shape the direction of our process and our future research efforts.

This survey is fairly short and simple, it should take around 5 to 10 minutes to complete. The more feedback we get the more we can help our users - including you!. Please share this survey with your local Joomla communities, JUG groups, and spread the word on social media.

Take the Joomla 3.5 survey now!


Joomla 3.5: We Want Your Feedback

After feedback from the community the PLT agreed at their meeting on Sunday 1st May 2016 to release the improvements to the Joomla Update Component, containing a reinstall button and reinstating the ability to update Joomla via file upload, as soon as possible.

With our versioning policy (available at https://developer.joomla.org/news/586-joomla-development-strategy.html) this means that we must make a minor release. As a result rather than making a 3.5.2 release we will instead make a 3.6.0 release.

The features that originally were planned to ship with 3.6 (for example the refactored routing system and the custom fields component) will now be made in a 3.7 release. The timescale for the 3.7 release will be roughly unchanged and will still be led by Chris Davenport.

The full PLT minutes for this meeting will be published very soon in the usual reports section on the volunteer portal and will contain the planned release dates for 3.6.


Version Number Shifting